%define	module	Gimp
%define pre pre1
Summary:	Perl module enabling to write plugins for the Gimp2
Name:		perl-%module
Epoch:		1
Version:	2.2
Release:	%mkrel 1.%pre.11
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source0:	http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/%module-%{version}%pre.tar.bz2
Patch0:		Gimp-2.0pre1-fix-build.patch
Patch1:		Gimp-2.2-fix-str-fmt.patch
Patch2:		Gimp-2.2-linkage.patch
URL:		http://search.cpan.org/~sjburges/Gimp/Gimp.pm

BuildRequires:	gtk+2-devel
BuildRequires:	libgimp-devel > 2.0
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:  perl-ExtUtils-PkgConfig
BuildRequires:	perl-Gtk2
BuildRequires:	perl-Parse-RecDescent 
BuildRequires:	perl-PDL

Requires:	gtk+2
Requires:	libgtk+2
Requires:	perl-Glib >= 1.021
Requires:       perl-PDL

Provides:	gimp-perl = %epoch:%version
Obsoletes:	gimp-perl < %epoch:2.0

# Don't use automatic requires for perl-PDL (#22095):
%define _requires_exceptions perl(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n gimp-perl
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
make DESTDIR=%buildroot pure_vendor_install
install -m 755 examples/* $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/*

# fix conflict with gimp-1:
rm -f $RPM_BUILD_ROOT%_mandir/man1/embedxpm.*
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/redeye
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/README
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/examples.TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* examples/examples.TODO examples/README
%_bindir/*
%_mandir/*/*
%_libdir/gimp/2.0/plug-ins/*
%_prefix/lib/perl5/*


%changelog

* Wed Jan 23 2013 fwang <fwang> 1:2.2-1.pre1.11.mga3
+ Revision: 391625
- real linkage
- update link patch
- fix overlink

* Wed Jan 23 2013 cjw <cjw> 1:2.2-1.pre1.10.mga3
+ Revision: 391618
- drop unused build dep on glitz-devel

* Tue Jan 22 2013 sander85 <sander85> 1:2.2-1.pre1.9.mga3
+ Revision: 390944
- Fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1:2.2-0.pre1.8.mga2
+ Revision: 138592
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1:2.2-0.pre1.7.mga2
+ Revision: 104431
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1:2.2-0.pre1.6.mga1
+ Revision: 36241
- mageia rebuild
- imported package perl-Gimp

